Posting JobΒΆ
Posting Job - GetΒΆ
HTTP Request
GET /api/v1/sap-posting-bot/posting/jobs/{id}
π Description: Fetches the details of a specific ledger entry transaction by its unique identifier, providing essential information related to the financial record associated with the specified job.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "chunkSize": 1,
28 "executor": "SCHEDULER",
29 "scheduleJobId": 0,
30 "readOnly": true,
31 "postingTypes": [
32 "PAYMENT"
33 ],
34 "jobPostingStatuses": [
35 "NA"
36 ],
37 "totalPostingCount": 0,
38 "filters": [
39 {
40 "id": 0,
41 "erpSystem": {
42 "id": 0,
43 "displayId": "string"
44 },
45 "companyFilterType": "ALL",
46 "companies": [
47 {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "erpSystemId": 0,
52 "erpSystemDisplayId": "string",
53 "countryId": 0,
54 "countryDisplayId": "string",
55 "name": "string",
56 "postingPeriodVariantId": 0,
57 "fiscalVariantId": 0
58 }
59 ],
60 "accountingStandardFilterType": "ALL",
61 "accountingStandards": [
62 {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "standardType": "GAAP",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 }
71 ],
72 "profileId": 0
73 }
74 ],
75 "tasks": [
76 {
77 "id": 0,
78 "queueTime": "2019-08-24T14:15:22Z",
79 "startTime": "2019-08-24T14:15:22Z",
80 "endTime": "2019-08-24T14:15:22Z",
81 "interruptedAt": "2019-08-24T14:15:22Z",
82 "recoveredAt": "2019-08-24T14:15:22Z",
83 "status": "CREATED",
84 "recover": true,
85 "interrupted": true,
86 "interruptionMessage": "string",
87 "errorMessage": "string",
88 "erpSystem": {
89 "id": 0,
90 "displayId": "string"
91 },
92 "ledgerTransactionIds": [
93 0
94 ],
95 "postingTypes": [
96 "PAYMENT"
97 ],
98 "jobPostingStatuses": [
99 "NA"
100 ],
101 "totalPostingCount": 0,
102 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
103 "sapPostBapi": "string",
104 "sapReversalBapi": "string",
105 "failedTransactionIds": [
106 0
107 ],
108 "jobTaskReports": [
109 {
110 "id": 0,
111 "postingType": "PAYMENT",
112 "scheduledItemCount": {
113 "postCount": 0,
114 "reverseCount": 0
115 },
116 "processingItemCount": {
117 "postCount": 0,
118 "reverseCount": 0
119 },
120 "doneItemCount": {
121 "postCount": 0,
122 "reverseCount": 0
123 },
124 "failedItemCount": {
125 "postCount": 0,
126 "reverseCount": 0
127 },
128 "cancelledItemCount": {
129 "postCount": 0,
130 "reverseCount": 0
131 },
132 "skippedItemCount": {
133 "postCount": 0,
134 "reverseCount": 0
135 },
136 "totalItemCount": {
137 "postCount": 0,
138 "reverseCount": 0
139 },
140 "jobTaskId": 0
141 }
142 ],
143 "jobTaskFailureReports": [
144 {
145 "id": 0,
146 "detail1": "string",
147 "detail2": "string",
148 "systemId": 0,
149 "systemDisplayId": "string",
150 "jobId": 0,
151 "internalDocumentNumber": "string",
152 "postingType": "PAYMENT",
153 "ledgerTransactionId": 0,
154 "failureReason": "string",
155 "taskId": 0
156 }
157 ],
158 "jobId": 0
159 }
160 ]
161 }
162}
Posting Job - UpdateΒΆ
HTTP Request
PUT /api/v1/sap-posting-bot/posting/jobs/{id}
π Description: Updates the specified ledger entry in the General Ledger by modifying the transaction details associated with the given job ID, ensuring accurate financial records and account management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated ledger entry details, including transaction data, account information, and financial record attributes for the specified job ID. |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "queueTime": "2019-08-24T14:15:22Z",
10 "startTime": "2019-08-24T14:15:22Z",
11 "endTime": "2019-08-24T14:15:22Z",
12 "status": "CREATED",
13 "batchSize": 1000,
14 "chunkSize": 1,
15 "executor": "SCHEDULER",
16 "scheduleJobId": 0,
17 "readOnly": true,
18 "postingTypes": [
19 "PAYMENT"
20 ],
21 "jobPostingStatuses": [
22 "NA"
23 ],
24 "totalPostingCount": 0,
25 "filters": [
26 {
27 "id": 0,
28 "erpSystem": {
29 "id": 0,
30 "displayId": "string"
31 },
32 "companyFilterType": "ALL",
33 "companies": [
34 {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "erpSystemId": 0,
39 "erpSystemDisplayId": "string",
40 "countryId": 0,
41 "countryDisplayId": "string",
42 "name": "string",
43 "postingPeriodVariantId": 0,
44 "fiscalVariantId": 0
45 }
46 ],
47 "accountingStandardFilterType": "ALL",
48 "accountingStandards": [
49 {
50 "id": 0,
51 "displayId": "string",
52 "status": "CREATED",
53 "name": "string",
54 "standardType": "GAAP",
55 "erpSystemId": 0,
56 "erpSystemDisplayId": "string"
57 }
58 ],
59 "profileId": 0
60 }
61 ],
62 "tasks": [
63 {
64 "id": 0,
65 "queueTime": "2019-08-24T14:15:22Z",
66 "startTime": "2019-08-24T14:15:22Z",
67 "endTime": "2019-08-24T14:15:22Z",
68 "interruptedAt": "2019-08-24T14:15:22Z",
69 "recoveredAt": "2019-08-24T14:15:22Z",
70 "status": "CREATED",
71 "recover": true,
72 "interrupted": true,
73 "interruptionMessage": "string",
74 "errorMessage": "string",
75 "erpSystem": {
76 "id": 0,
77 "displayId": "string"
78 },
79 "ledgerTransactionIds": [
80 0
81 ],
82 "postingTypes": [
83 "PAYMENT"
84 ],
85 "jobPostingStatuses": [
86 "NA"
87 ],
88 "totalPostingCount": 0,
89 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
90 "sapPostBapi": "string",
91 "sapReversalBapi": "string",
92 "failedTransactionIds": [
93 0
94 ],
95 "jobTaskReports": [
96 {
97 "id": 0,
98 "postingType": "PAYMENT",
99 "scheduledItemCount": {
100 "postCount": 0,
101 "reverseCount": 0
102 },
103 "processingItemCount": {
104 "postCount": 0,
105 "reverseCount": 0
106 },
107 "doneItemCount": {
108 "postCount": 0,
109 "reverseCount": 0
110 },
111 "failedItemCount": {
112 "postCount": 0,
113 "reverseCount": 0
114 },
115 "cancelledItemCount": {
116 "postCount": 0,
117 "reverseCount": 0
118 },
119 "skippedItemCount": {
120 "postCount": 0,
121 "reverseCount": 0
122 },
123 "totalItemCount": {
124 "postCount": 0,
125 "reverseCount": 0
126 },
127 "jobTaskId": 0
128 }
129 ],
130 "jobTaskFailureReports": [
131 {
132 "id": 0,
133 "detail1": "string",
134 "detail2": "string",
135 "systemId": 0,
136 "systemDisplayId": "string",
137 "jobId": 0,
138 "internalDocumentNumber": "string",
139 "postingType": "PAYMENT",
140 "ledgerTransactionId": 0,
141 "failureReason": "string",
142 "taskId": 0
143 }
144 ],
145 "jobId": 0
146 }
147 ]
148}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "chunkSize": 1,
28 "executor": "SCHEDULER",
29 "scheduleJobId": 0,
30 "readOnly": true,
31 "postingTypes": [
32 "PAYMENT"
33 ],
34 "jobPostingStatuses": [
35 "NA"
36 ],
37 "totalPostingCount": 0,
38 "filters": [
39 {
40 "id": 0,
41 "erpSystem": {
42 "id": 0,
43 "displayId": "string"
44 },
45 "companyFilterType": "ALL",
46 "companies": [
47 {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "erpSystemId": 0,
52 "erpSystemDisplayId": "string",
53 "countryId": 0,
54 "countryDisplayId": "string",
55 "name": "string",
56 "postingPeriodVariantId": 0,
57 "fiscalVariantId": 0
58 }
59 ],
60 "accountingStandardFilterType": "ALL",
61 "accountingStandards": [
62 {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "standardType": "GAAP",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 }
71 ],
72 "profileId": 0
73 }
74 ],
75 "tasks": [
76 {
77 "id": 0,
78 "queueTime": "2019-08-24T14:15:22Z",
79 "startTime": "2019-08-24T14:15:22Z",
80 "endTime": "2019-08-24T14:15:22Z",
81 "interruptedAt": "2019-08-24T14:15:22Z",
82 "recoveredAt": "2019-08-24T14:15:22Z",
83 "status": "CREATED",
84 "recover": true,
85 "interrupted": true,
86 "interruptionMessage": "string",
87 "errorMessage": "string",
88 "erpSystem": {
89 "id": 0,
90 "displayId": "string"
91 },
92 "ledgerTransactionIds": [
93 0
94 ],
95 "postingTypes": [
96 "PAYMENT"
97 ],
98 "jobPostingStatuses": [
99 "NA"
100 ],
101 "totalPostingCount": 0,
102 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
103 "sapPostBapi": "string",
104 "sapReversalBapi": "string",
105 "failedTransactionIds": [
106 0
107 ],
108 "jobTaskReports": [
109 {
110 "id": 0,
111 "postingType": "PAYMENT",
112 "scheduledItemCount": {
113 "postCount": 0,
114 "reverseCount": 0
115 },
116 "processingItemCount": {
117 "postCount": 0,
118 "reverseCount": 0
119 },
120 "doneItemCount": {
121 "postCount": 0,
122 "reverseCount": 0
123 },
124 "failedItemCount": {
125 "postCount": 0,
126 "reverseCount": 0
127 },
128 "cancelledItemCount": {
129 "postCount": 0,
130 "reverseCount": 0
131 },
132 "skippedItemCount": {
133 "postCount": 0,
134 "reverseCount": 0
135 },
136 "totalItemCount": {
137 "postCount": 0,
138 "reverseCount": 0
139 },
140 "jobTaskId": 0
141 }
142 ],
143 "jobTaskFailureReports": [
144 {
145 "id": 0,
146 "detail1": "string",
147 "detail2": "string",
148 "systemId": 0,
149 "systemDisplayId": "string",
150 "jobId": 0,
151 "internalDocumentNumber": "string",
152 "postingType": "PAYMENT",
153 "ledgerTransactionId": 0,
154 "failureReason": "string",
155 "taskId": 0
156 }
157 ],
158 "jobId": 0
159 }
160 ]
161 }
162}
Posting Job - Create Or UpdateΒΆ
HTTP Request
PUT /api/v1/sap-posting-bot/posting/jobs/createOrUpdate
π Description: Updates or creates ledger entries in the General Ledger by submitting transaction details for specified accounts, ensuring accurate financial records are maintained.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the ledger entry data, including transaction details, account information, and financial record attributes for creating or updating posting jobs. |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "queueTime": "2019-08-24T14:15:22Z",
10 "startTime": "2019-08-24T14:15:22Z",
11 "endTime": "2019-08-24T14:15:22Z",
12 "status": "CREATED",
13 "batchSize": 1000,
14 "chunkSize": 1,
15 "executor": "SCHEDULER",
16 "scheduleJobId": 0,
17 "readOnly": true,
18 "postingTypes": [
19 "PAYMENT"
20 ],
21 "jobPostingStatuses": [
22 "NA"
23 ],
24 "totalPostingCount": 0,
25 "filters": [
26 {
27 "id": 0,
28 "erpSystem": {
29 "id": 0,
30 "displayId": "string"
31 },
32 "companyFilterType": "ALL",
33 "companies": [
34 {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "erpSystemId": 0,
39 "erpSystemDisplayId": "string",
40 "countryId": 0,
41 "countryDisplayId": "string",
42 "name": "string",
43 "postingPeriodVariantId": 0,
44 "fiscalVariantId": 0
45 }
46 ],
47 "accountingStandardFilterType": "ALL",
48 "accountingStandards": [
49 {
50 "id": 0,
51 "displayId": "string",
52 "status": "CREATED",
53 "name": "string",
54 "standardType": "GAAP",
55 "erpSystemId": 0,
56 "erpSystemDisplayId": "string"
57 }
58 ],
59 "profileId": 0
60 }
61 ],
62 "tasks": [
63 {
64 "id": 0,
65 "queueTime": "2019-08-24T14:15:22Z",
66 "startTime": "2019-08-24T14:15:22Z",
67 "endTime": "2019-08-24T14:15:22Z",
68 "interruptedAt": "2019-08-24T14:15:22Z",
69 "recoveredAt": "2019-08-24T14:15:22Z",
70 "status": "CREATED",
71 "recover": true,
72 "interrupted": true,
73 "interruptionMessage": "string",
74 "errorMessage": "string",
75 "erpSystem": {
76 "id": 0,
77 "displayId": "string"
78 },
79 "ledgerTransactionIds": [
80 0
81 ],
82 "postingTypes": [
83 "PAYMENT"
84 ],
85 "jobPostingStatuses": [
86 "NA"
87 ],
88 "totalPostingCount": 0,
89 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
90 "sapPostBapi": "string",
91 "sapReversalBapi": "string",
92 "failedTransactionIds": [
93 0
94 ],
95 "jobTaskReports": [
96 {
97 "id": 0,
98 "postingType": "PAYMENT",
99 "scheduledItemCount": {
100 "postCount": 0,
101 "reverseCount": 0
102 },
103 "processingItemCount": {
104 "postCount": 0,
105 "reverseCount": 0
106 },
107 "doneItemCount": {
108 "postCount": 0,
109 "reverseCount": 0
110 },
111 "failedItemCount": {
112 "postCount": 0,
113 "reverseCount": 0
114 },
115 "cancelledItemCount": {
116 "postCount": 0,
117 "reverseCount": 0
118 },
119 "skippedItemCount": {
120 "postCount": 0,
121 "reverseCount": 0
122 },
123 "totalItemCount": {
124 "postCount": 0,
125 "reverseCount": 0
126 },
127 "jobTaskId": 0
128 }
129 ],
130 "jobTaskFailureReports": [
131 {
132 "id": 0,
133 "detail1": "string",
134 "detail2": "string",
135 "systemId": 0,
136 "systemDisplayId": "string",
137 "jobId": 0,
138 "internalDocumentNumber": "string",
139 "postingType": "PAYMENT",
140 "ledgerTransactionId": 0,
141 "failureReason": "string",
142 "taskId": 0
143 }
144 ],
145 "jobId": 0
146 }
147 ]
148}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "chunkSize": 1,
28 "executor": "SCHEDULER",
29 "scheduleJobId": 0,
30 "readOnly": true,
31 "postingTypes": [
32 "PAYMENT"
33 ],
34 "jobPostingStatuses": [
35 "NA"
36 ],
37 "totalPostingCount": 0,
38 "filters": [
39 {
40 "id": 0,
41 "erpSystem": {
42 "id": 0,
43 "displayId": "string"
44 },
45 "companyFilterType": "ALL",
46 "companies": [
47 {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "erpSystemId": 0,
52 "erpSystemDisplayId": "string",
53 "countryId": 0,
54 "countryDisplayId": "string",
55 "name": "string",
56 "postingPeriodVariantId": 0,
57 "fiscalVariantId": 0
58 }
59 ],
60 "accountingStandardFilterType": "ALL",
61 "accountingStandards": [
62 {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "standardType": "GAAP",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 }
71 ],
72 "profileId": 0
73 }
74 ],
75 "tasks": [
76 {
77 "id": 0,
78 "queueTime": "2019-08-24T14:15:22Z",
79 "startTime": "2019-08-24T14:15:22Z",
80 "endTime": "2019-08-24T14:15:22Z",
81 "interruptedAt": "2019-08-24T14:15:22Z",
82 "recoveredAt": "2019-08-24T14:15:22Z",
83 "status": "CREATED",
84 "recover": true,
85 "interrupted": true,
86 "interruptionMessage": "string",
87 "errorMessage": "string",
88 "erpSystem": {
89 "id": 0,
90 "displayId": "string"
91 },
92 "ledgerTransactionIds": [
93 0
94 ],
95 "postingTypes": [
96 "PAYMENT"
97 ],
98 "jobPostingStatuses": [
99 "NA"
100 ],
101 "totalPostingCount": 0,
102 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
103 "sapPostBapi": "string",
104 "sapReversalBapi": "string",
105 "failedTransactionIds": [
106 0
107 ],
108 "jobTaskReports": [
109 {
110 "id": 0,
111 "postingType": "PAYMENT",
112 "scheduledItemCount": {
113 "postCount": 0,
114 "reverseCount": 0
115 },
116 "processingItemCount": {
117 "postCount": 0,
118 "reverseCount": 0
119 },
120 "doneItemCount": {
121 "postCount": 0,
122 "reverseCount": 0
123 },
124 "failedItemCount": {
125 "postCount": 0,
126 "reverseCount": 0
127 },
128 "cancelledItemCount": {
129 "postCount": 0,
130 "reverseCount": 0
131 },
132 "skippedItemCount": {
133 "postCount": 0,
134 "reverseCount": 0
135 },
136 "totalItemCount": {
137 "postCount": 0,
138 "reverseCount": 0
139 },
140 "jobTaskId": 0
141 }
142 ],
143 "jobTaskFailureReports": [
144 {
145 "id": 0,
146 "detail1": "string",
147 "detail2": "string",
148 "systemId": 0,
149 "systemDisplayId": "string",
150 "jobId": 0,
151 "internalDocumentNumber": "string",
152 "postingType": "PAYMENT",
153 "ledgerTransactionId": 0,
154 "failureReason": "string",
155 "taskId": 0
156 }
157 ],
158 "jobId": 0
159 }
160 ]
161 }
162}
Posting Job - Create Or Update BulkΒΆ
HTTP Request
PUT /api/v1/sap-posting-bot/posting/jobs/createOrUpdate/bulk
π Description: Creates or updates multiple ledger entries in bulk for transactions, ensuring accurate financial records across accounts in the General Ledger.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing bulk ledger entry data for creating or updating financial records, including transaction details and account information. |
Body Parameters
1[
2 {
3 "id": 0,
4 "taskCount": 0,
5 "failedTaskCount": 0,
6 "doneTaskCount": 0,
7 "inProgressTaskCount": 0,
8 "cancelledTaskCount": 0,
9 "errorMessage": "string",
10 "queueTime": "2019-08-24T14:15:22Z",
11 "startTime": "2019-08-24T14:15:22Z",
12 "endTime": "2019-08-24T14:15:22Z",
13 "status": "CREATED",
14 "batchSize": 1000,
15 "chunkSize": 1,
16 "executor": "SCHEDULER",
17 "scheduleJobId": 0,
18 "readOnly": true,
19 "postingTypes": [
20 "PAYMENT"
21 ],
22 "jobPostingStatuses": [
23 "NA"
24 ],
25 "totalPostingCount": 0,
26 "filters": [
27 {
28 "id": 0,
29 "erpSystem": {
30 "id": 0,
31 "displayId": "string"
32 },
33 "companyFilterType": "ALL",
34 "companies": [
35 {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "erpSystemId": 0,
40 "erpSystemDisplayId": "string",
41 "countryId": 0,
42 "countryDisplayId": "string",
43 "name": "string",
44 "postingPeriodVariantId": 0,
45 "fiscalVariantId": 0
46 }
47 ],
48 "accountingStandardFilterType": "ALL",
49 "accountingStandards": [
50 {
51 "id": 0,
52 "displayId": "string",
53 "status": "CREATED",
54 "name": "string",
55 "standardType": "GAAP",
56 "erpSystemId": 0,
57 "erpSystemDisplayId": "string"
58 }
59 ],
60 "profileId": 0
61 }
62 ],
63 "tasks": [
64 {
65 "id": 0,
66 "queueTime": "2019-08-24T14:15:22Z",
67 "startTime": "2019-08-24T14:15:22Z",
68 "endTime": "2019-08-24T14:15:22Z",
69 "interruptedAt": "2019-08-24T14:15:22Z",
70 "recoveredAt": "2019-08-24T14:15:22Z",
71 "status": "CREATED",
72 "recover": true,
73 "interrupted": true,
74 "interruptionMessage": "string",
75 "errorMessage": "string",
76 "erpSystem": {
77 "id": 0,
78 "displayId": "string"
79 },
80 "ledgerTransactionIds": [
81 0
82 ],
83 "postingTypes": [
84 "PAYMENT"
85 ],
86 "jobPostingStatuses": [
87 "NA"
88 ],
89 "totalPostingCount": 0,
90 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
91 "sapPostBapi": "string",
92 "sapReversalBapi": "string",
93 "failedTransactionIds": [
94 0
95 ],
96 "jobTaskReports": [
97 {
98 "id": 0,
99 "postingType": "PAYMENT",
100 "scheduledItemCount": {
101 "postCount": 0,
102 "reverseCount": 0
103 },
104 "processingItemCount": {
105 "postCount": 0,
106 "reverseCount": 0
107 },
108 "doneItemCount": {
109 "postCount": 0,
110 "reverseCount": 0
111 },
112 "failedItemCount": {
113 "postCount": 0,
114 "reverseCount": 0
115 },
116 "cancelledItemCount": {
117 "postCount": 0,
118 "reverseCount": 0
119 },
120 "skippedItemCount": {
121 "postCount": 0,
122 "reverseCount": 0
123 },
124 "totalItemCount": {
125 "postCount": 0,
126 "reverseCount": 0
127 },
128 "jobTaskId": 0
129 }
130 ],
131 "jobTaskFailureReports": [
132 {
133 "id": 0,
134 "detail1": "string",
135 "detail2": "string",
136 "systemId": 0,
137 "systemDisplayId": "string",
138 "jobId": 0,
139 "internalDocumentNumber": "string",
140 "postingType": "PAYMENT",
141 "ledgerTransactionId": 0,
142 "failureReason": "string",
143 "taskId": 0
144 }
145 ],
146 "jobId": 0
147 }
148 ]
149 }
150]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "taskCount": 0,
18 "failedTaskCount": 0,
19 "doneTaskCount": 0,
20 "inProgressTaskCount": 0,
21 "cancelledTaskCount": 0,
22 "errorMessage": "string",
23 "queueTime": "2019-08-24T14:15:22Z",
24 "startTime": "2019-08-24T14:15:22Z",
25 "endTime": "2019-08-24T14:15:22Z",
26 "status": "CREATED",
27 "batchSize": 1000,
28 "chunkSize": 1,
29 "executor": "SCHEDULER",
30 "scheduleJobId": 0,
31 "readOnly": true,
32 "postingTypes": [
33 "PAYMENT"
34 ],
35 "jobPostingStatuses": [
36 "NA"
37 ],
38 "totalPostingCount": 0,
39 "filters": [
40 {
41 "id": 0,
42 "erpSystem": {
43 "id": 0,
44 "displayId": "string"
45 },
46 "companyFilterType": "ALL",
47 "companies": [
48 {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "erpSystemId": 0,
53 "erpSystemDisplayId": "string",
54 "countryId": 0,
55 "countryDisplayId": "string",
56 "name": "string",
57 "postingPeriodVariantId": 0,
58 "fiscalVariantId": 0
59 }
60 ],
61 "accountingStandardFilterType": "ALL",
62 "accountingStandards": [
63 {
64 "id": 0,
65 "displayId": "string",
66 "status": "CREATED",
67 "name": "string",
68 "standardType": "GAAP",
69 "erpSystemId": 0,
70 "erpSystemDisplayId": "string"
71 }
72 ],
73 "profileId": 0
74 }
75 ],
76 "tasks": [
77 {
78 "id": 0,
79 "queueTime": "2019-08-24T14:15:22Z",
80 "startTime": "2019-08-24T14:15:22Z",
81 "endTime": "2019-08-24T14:15:22Z",
82 "interruptedAt": "2019-08-24T14:15:22Z",
83 "recoveredAt": "2019-08-24T14:15:22Z",
84 "status": "CREATED",
85 "recover": true,
86 "interrupted": true,
87 "interruptionMessage": "string",
88 "errorMessage": "string",
89 "erpSystem": {
90 "id": 0,
91 "displayId": "string"
92 },
93 "ledgerTransactionIds": [
94 0
95 ],
96 "postingTypes": [
97 "PAYMENT"
98 ],
99 "jobPostingStatuses": [
100 "NA"
101 ],
102 "totalPostingCount": 0,
103 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
104 "sapPostBapi": "string",
105 "sapReversalBapi": "string",
106 "failedTransactionIds": [
107 0
108 ],
109 "jobTaskReports": [
110 {
111 "id": 0,
112 "postingType": "PAYMENT",
113 "scheduledItemCount": {
114 "postCount": 0,
115 "reverseCount": 0
116 },
117 "processingItemCount": {
118 "postCount": 0,
119 "reverseCount": 0
120 },
121 "doneItemCount": {
122 "postCount": 0,
123 "reverseCount": 0
124 },
125 "failedItemCount": {
126 "postCount": 0,
127 "reverseCount": 0
128 },
129 "cancelledItemCount": {
130 "postCount": 0,
131 "reverseCount": 0
132 },
133 "skippedItemCount": {
134 "postCount": 0,
135 "reverseCount": 0
136 },
137 "totalItemCount": {
138 "postCount": 0,
139 "reverseCount": 0
140 },
141 "jobTaskId": 0
142 }
143 ],
144 "jobTaskFailureReports": [
145 {
146 "id": 0,
147 "detail1": "string",
148 "detail2": "string",
149 "systemId": 0,
150 "systemDisplayId": "string",
151 "jobId": 0,
152 "internalDocumentNumber": "string",
153 "postingType": "PAYMENT",
154 "ledgerTransactionId": 0,
155 "failureReason": "string",
156 "taskId": 0
157 }
158 ],
159 "jobId": 0
160 }
161 ]
162 }
163 ]
164}
Posting Job - Bulk UpdateΒΆ
HTTP Request
PUT /api/v1/sap-posting-bot/posting/jobs/bulk
π Description: Updates multiple ledger entries in bulk for financial records, enabling efficient transaction management within the General Ledger.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing bulk ledger entry data, including transaction details, account information, and associated financial records for processing in the General Ledger. |
Body Parameters
1[
2 {
3 "id": 0,
4 "taskCount": 0,
5 "failedTaskCount": 0,
6 "doneTaskCount": 0,
7 "inProgressTaskCount": 0,
8 "cancelledTaskCount": 0,
9 "errorMessage": "string",
10 "queueTime": "2019-08-24T14:15:22Z",
11 "startTime": "2019-08-24T14:15:22Z",
12 "endTime": "2019-08-24T14:15:22Z",
13 "status": "CREATED",
14 "batchSize": 1000,
15 "chunkSize": 1,
16 "executor": "SCHEDULER",
17 "scheduleJobId": 0,
18 "readOnly": true,
19 "postingTypes": [
20 "PAYMENT"
21 ],
22 "jobPostingStatuses": [
23 "NA"
24 ],
25 "totalPostingCount": 0,
26 "filters": [
27 {
28 "id": 0,
29 "erpSystem": {
30 "id": 0,
31 "displayId": "string"
32 },
33 "companyFilterType": "ALL",
34 "companies": [
35 {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "erpSystemId": 0,
40 "erpSystemDisplayId": "string",
41 "countryId": 0,
42 "countryDisplayId": "string",
43 "name": "string",
44 "postingPeriodVariantId": 0,
45 "fiscalVariantId": 0
46 }
47 ],
48 "accountingStandardFilterType": "ALL",
49 "accountingStandards": [
50 {
51 "id": 0,
52 "displayId": "string",
53 "status": "CREATED",
54 "name": "string",
55 "standardType": "GAAP",
56 "erpSystemId": 0,
57 "erpSystemDisplayId": "string"
58 }
59 ],
60 "profileId": 0
61 }
62 ],
63 "tasks": [
64 {
65 "id": 0,
66 "queueTime": "2019-08-24T14:15:22Z",
67 "startTime": "2019-08-24T14:15:22Z",
68 "endTime": "2019-08-24T14:15:22Z",
69 "interruptedAt": "2019-08-24T14:15:22Z",
70 "recoveredAt": "2019-08-24T14:15:22Z",
71 "status": "CREATED",
72 "recover": true,
73 "interrupted": true,
74 "interruptionMessage": "string",
75 "errorMessage": "string",
76 "erpSystem": {
77 "id": 0,
78 "displayId": "string"
79 },
80 "ledgerTransactionIds": [
81 0
82 ],
83 "postingTypes": [
84 "PAYMENT"
85 ],
86 "jobPostingStatuses": [
87 "NA"
88 ],
89 "totalPostingCount": 0,
90 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
91 "sapPostBapi": "string",
92 "sapReversalBapi": "string",
93 "failedTransactionIds": [
94 0
95 ],
96 "jobTaskReports": [
97 {
98 "id": 0,
99 "postingType": "PAYMENT",
100 "scheduledItemCount": {
101 "postCount": 0,
102 "reverseCount": 0
103 },
104 "processingItemCount": {
105 "postCount": 0,
106 "reverseCount": 0
107 },
108 "doneItemCount": {
109 "postCount": 0,
110 "reverseCount": 0
111 },
112 "failedItemCount": {
113 "postCount": 0,
114 "reverseCount": 0
115 },
116 "cancelledItemCount": {
117 "postCount": 0,
118 "reverseCount": 0
119 },
120 "skippedItemCount": {
121 "postCount": 0,
122 "reverseCount": 0
123 },
124 "totalItemCount": {
125 "postCount": 0,
126 "reverseCount": 0
127 },
128 "jobTaskId": 0
129 }
130 ],
131 "jobTaskFailureReports": [
132 {
133 "id": 0,
134 "detail1": "string",
135 "detail2": "string",
136 "systemId": 0,
137 "systemDisplayId": "string",
138 "jobId": 0,
139 "internalDocumentNumber": "string",
140 "postingType": "PAYMENT",
141 "ledgerTransactionId": 0,
142 "failureReason": "string",
143 "taskId": 0
144 }
145 ],
146 "jobId": 0
147 }
148 ]
149 }
150]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "taskCount": 0,
18 "failedTaskCount": 0,
19 "doneTaskCount": 0,
20 "inProgressTaskCount": 0,
21 "cancelledTaskCount": 0,
22 "errorMessage": "string",
23 "queueTime": "2019-08-24T14:15:22Z",
24 "startTime": "2019-08-24T14:15:22Z",
25 "endTime": "2019-08-24T14:15:22Z",
26 "status": "CREATED",
27 "batchSize": 1000,
28 "chunkSize": 1,
29 "executor": "SCHEDULER",
30 "scheduleJobId": 0,
31 "readOnly": true,
32 "postingTypes": [
33 "PAYMENT"
34 ],
35 "jobPostingStatuses": [
36 "NA"
37 ],
38 "totalPostingCount": 0,
39 "filters": [
40 {
41 "id": 0,
42 "erpSystem": {
43 "id": 0,
44 "displayId": "string"
45 },
46 "companyFilterType": "ALL",
47 "companies": [
48 {
49 "id": 0,
50 "displayId": "string",
51 "status": "CREATED",
52 "erpSystemId": 0,
53 "erpSystemDisplayId": "string",
54 "countryId": 0,
55 "countryDisplayId": "string",
56 "name": "string",
57 "postingPeriodVariantId": 0,
58 "fiscalVariantId": 0
59 }
60 ],
61 "accountingStandardFilterType": "ALL",
62 "accountingStandards": [
63 {
64 "id": 0,
65 "displayId": "string",
66 "status": "CREATED",
67 "name": "string",
68 "standardType": "GAAP",
69 "erpSystemId": 0,
70 "erpSystemDisplayId": "string"
71 }
72 ],
73 "profileId": 0
74 }
75 ],
76 "tasks": [
77 {
78 "id": 0,
79 "queueTime": "2019-08-24T14:15:22Z",
80 "startTime": "2019-08-24T14:15:22Z",
81 "endTime": "2019-08-24T14:15:22Z",
82 "interruptedAt": "2019-08-24T14:15:22Z",
83 "recoveredAt": "2019-08-24T14:15:22Z",
84 "status": "CREATED",
85 "recover": true,
86 "interrupted": true,
87 "interruptionMessage": "string",
88 "errorMessage": "string",
89 "erpSystem": {
90 "id": 0,
91 "displayId": "string"
92 },
93 "ledgerTransactionIds": [
94 0
95 ],
96 "postingTypes": [
97 "PAYMENT"
98 ],
99 "jobPostingStatuses": [
100 "NA"
101 ],
102 "totalPostingCount": 0,
103 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
104 "sapPostBapi": "string",
105 "sapReversalBapi": "string",
106 "failedTransactionIds": [
107 0
108 ],
109 "jobTaskReports": [
110 {
111 "id": 0,
112 "postingType": "PAYMENT",
113 "scheduledItemCount": {
114 "postCount": 0,
115 "reverseCount": 0
116 },
117 "processingItemCount": {
118 "postCount": 0,
119 "reverseCount": 0
120 },
121 "doneItemCount": {
122 "postCount": 0,
123 "reverseCount": 0
124 },
125 "failedItemCount": {
126 "postCount": 0,
127 "reverseCount": 0
128 },
129 "cancelledItemCount": {
130 "postCount": 0,
131 "reverseCount": 0
132 },
133 "skippedItemCount": {
134 "postCount": 0,
135 "reverseCount": 0
136 },
137 "totalItemCount": {
138 "postCount": 0,
139 "reverseCount": 0
140 },
141 "jobTaskId": 0
142 }
143 ],
144 "jobTaskFailureReports": [
145 {
146 "id": 0,
147 "detail1": "string",
148 "detail2": "string",
149 "systemId": 0,
150 "systemDisplayId": "string",
151 "jobId": 0,
152 "internalDocumentNumber": "string",
153 "postingType": "PAYMENT",
154 "ledgerTransactionId": 0,
155 "failureReason": "string",
156 "taskId": 0
157 }
158 ],
159 "jobId": 0
160 }
161 ]
162 }
163 ]
164}
Posting Job - Find AllΒΆ
HTTP Request
GET /api/v1/sap-posting-bot/posting/jobs
π Description: Retrieves a list of posting jobs related to ledger entries, transactions, and accounts within the General Ledger, enabling users to manage and track financial records efficiently.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the ledger entry transaction jobs should be returned in a paginated format, facilitating efficient retrieval of financial records. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "taskCount": 0,
22 "failedTaskCount": 0,
23 "doneTaskCount": 0,
24 "inProgressTaskCount": 0,
25 "cancelledTaskCount": 0,
26 "errorMessage": "string",
27 "queueTime": "2019-08-24T14:15:22Z",
28 "startTime": "2019-08-24T14:15:22Z",
29 "endTime": "2019-08-24T14:15:22Z",
30 "status": "CREATED",
31 "batchSize": 1000,
32 "chunkSize": 1,
33 "executor": "SCHEDULER",
34 "scheduleJobId": 0,
35 "readOnly": true,
36 "postingTypes": [
37 "PAYMENT"
38 ],
39 "jobPostingStatuses": [
40 "NA"
41 ],
42 "totalPostingCount": 0,
43 "filters": [
44 {
45 "id": 0,
46 "erpSystem": {
47 "id": 0,
48 "displayId": "string"
49 },
50 "companyFilterType": "ALL",
51 "companies": [
52 {
53 "id": 0,
54 "displayId": "string",
55 "status": "CREATED",
56 "erpSystemId": 0,
57 "erpSystemDisplayId": "string",
58 "countryId": 0,
59 "countryDisplayId": "string",
60 "name": "string",
61 "postingPeriodVariantId": 0,
62 "fiscalVariantId": 0
63 }
64 ],
65 "accountingStandardFilterType": "ALL",
66 "accountingStandards": [
67 {
68 "id": 0,
69 "displayId": "string",
70 "status": "CREATED",
71 "name": "string",
72 "standardType": "GAAP",
73 "erpSystemId": 0,
74 "erpSystemDisplayId": "string"
75 }
76 ],
77 "profileId": 0
78 }
79 ],
80 "tasks": [
81 {
82 "id": 0,
83 "queueTime": "2019-08-24T14:15:22Z",
84 "startTime": "2019-08-24T14:15:22Z",
85 "endTime": "2019-08-24T14:15:22Z",
86 "interruptedAt": "2019-08-24T14:15:22Z",
87 "recoveredAt": "2019-08-24T14:15:22Z",
88 "status": "CREATED",
89 "recover": true,
90 "interrupted": true,
91 "interruptionMessage": "string",
92 "errorMessage": "string",
93 "erpSystem": {
94 "id": 0,
95 "displayId": "string"
96 },
97 "ledgerTransactionIds": [
98 0
99 ],
100 "postingTypes": [
101 "PAYMENT"
102 ],
103 "jobPostingStatuses": [
104 "NA"
105 ],
106 "totalPostingCount": 0,
107 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
108 "sapPostBapi": "string",
109 "sapReversalBapi": "string",
110 "failedTransactionIds": [
111 0
112 ],
113 "jobTaskReports": [
114 {
115 "id": 0,
116 "postingType": "PAYMENT",
117 "scheduledItemCount": {
118 "postCount": 0,
119 "reverseCount": 0
120 },
121 "processingItemCount": {
122 "postCount": 0,
123 "reverseCount": 0
124 },
125 "doneItemCount": {
126 "postCount": 0,
127 "reverseCount": 0
128 },
129 "failedItemCount": {
130 "postCount": 0,
131 "reverseCount": 0
132 },
133 "cancelledItemCount": {
134 "postCount": 0,
135 "reverseCount": 0
136 },
137 "skippedItemCount": {
138 "postCount": 0,
139 "reverseCount": 0
140 },
141 "totalItemCount": {
142 "postCount": 0,
143 "reverseCount": 0
144 },
145 "jobTaskId": 0
146 }
147 ],
148 "jobTaskFailureReports": [
149 {
150 "id": 0,
151 "detail1": "string",
152 "detail2": "string",
153 "systemId": 0,
154 "systemDisplayId": "string",
155 "jobId": 0,
156 "internalDocumentNumber": "string",
157 "postingType": "PAYMENT",
158 "ledgerTransactionId": 0,
159 "failureReason": "string",
160 "taskId": 0
161 }
162 ],
163 "jobId": 0
164 }
165 ]
166 }
167 ],
168 "number": 0,
169 "sort": {
170 "unsorted": true,
171 "sorted": true,
172 "empty": true
173 },
174 "first": true,
175 "last": true,
176 "empty": true
177}
Posting Job - CreateΒΆ
HTTP Request
POST /api/v1/sap-posting-bot/posting/jobs
π Description: Submits new ledger entries for processing as part of financial transactions, ensuring accurate updates to the general ledger and maintaining comprehensive financial records.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the financial record details necessary for creating ledger entries and processing transactions within the General Ledger. |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "queueTime": "2019-08-24T14:15:22Z",
10 "startTime": "2019-08-24T14:15:22Z",
11 "endTime": "2019-08-24T14:15:22Z",
12 "status": "CREATED",
13 "batchSize": 1000,
14 "chunkSize": 1,
15 "executor": "SCHEDULER",
16 "scheduleJobId": 0,
17 "readOnly": true,
18 "postingTypes": [
19 "PAYMENT"
20 ],
21 "jobPostingStatuses": [
22 "NA"
23 ],
24 "totalPostingCount": 0,
25 "filters": [
26 {
27 "id": 0,
28 "erpSystem": {
29 "id": 0,
30 "displayId": "string"
31 },
32 "companyFilterType": "ALL",
33 "companies": [
34 {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "erpSystemId": 0,
39 "erpSystemDisplayId": "string",
40 "countryId": 0,
41 "countryDisplayId": "string",
42 "name": "string",
43 "postingPeriodVariantId": 0,
44 "fiscalVariantId": 0
45 }
46 ],
47 "accountingStandardFilterType": "ALL",
48 "accountingStandards": [
49 {
50 "id": 0,
51 "displayId": "string",
52 "status": "CREATED",
53 "name": "string",
54 "standardType": "GAAP",
55 "erpSystemId": 0,
56 "erpSystemDisplayId": "string"
57 }
58 ],
59 "profileId": 0
60 }
61 ],
62 "tasks": [
63 {
64 "id": 0,
65 "queueTime": "2019-08-24T14:15:22Z",
66 "startTime": "2019-08-24T14:15:22Z",
67 "endTime": "2019-08-24T14:15:22Z",
68 "interruptedAt": "2019-08-24T14:15:22Z",
69 "recoveredAt": "2019-08-24T14:15:22Z",
70 "status": "CREATED",
71 "recover": true,
72 "interrupted": true,
73 "interruptionMessage": "string",
74 "errorMessage": "string",
75 "erpSystem": {
76 "id": 0,
77 "displayId": "string"
78 },
79 "ledgerTransactionIds": [
80 0
81 ],
82 "postingTypes": [
83 "PAYMENT"
84 ],
85 "jobPostingStatuses": [
86 "NA"
87 ],
88 "totalPostingCount": 0,
89 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
90 "sapPostBapi": "string",
91 "sapReversalBapi": "string",
92 "failedTransactionIds": [
93 0
94 ],
95 "jobTaskReports": [
96 {
97 "id": 0,
98 "postingType": "PAYMENT",
99 "scheduledItemCount": {
100 "postCount": 0,
101 "reverseCount": 0
102 },
103 "processingItemCount": {
104 "postCount": 0,
105 "reverseCount": 0
106 },
107 "doneItemCount": {
108 "postCount": 0,
109 "reverseCount": 0
110 },
111 "failedItemCount": {
112 "postCount": 0,
113 "reverseCount": 0
114 },
115 "cancelledItemCount": {
116 "postCount": 0,
117 "reverseCount": 0
118 },
119 "skippedItemCount": {
120 "postCount": 0,
121 "reverseCount": 0
122 },
123 "totalItemCount": {
124 "postCount": 0,
125 "reverseCount": 0
126 },
127 "jobTaskId": 0
128 }
129 ],
130 "jobTaskFailureReports": [
131 {
132 "id": 0,
133 "detail1": "string",
134 "detail2": "string",
135 "systemId": 0,
136 "systemDisplayId": "string",
137 "jobId": 0,
138 "internalDocumentNumber": "string",
139 "postingType": "PAYMENT",
140 "ledgerTransactionId": 0,
141 "failureReason": "string",
142 "taskId": 0
143 }
144 ],
145 "jobId": 0
146 }
147 ]
148}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "chunkSize": 1,
28 "executor": "SCHEDULER",
29 "scheduleJobId": 0,
30 "readOnly": true,
31 "postingTypes": [
32 "PAYMENT"
33 ],
34 "jobPostingStatuses": [
35 "NA"
36 ],
37 "totalPostingCount": 0,
38 "filters": [
39 {
40 "id": 0,
41 "erpSystem": {
42 "id": 0,
43 "displayId": "string"
44 },
45 "companyFilterType": "ALL",
46 "companies": [
47 {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "erpSystemId": 0,
52 "erpSystemDisplayId": "string",
53 "countryId": 0,
54 "countryDisplayId": "string",
55 "name": "string",
56 "postingPeriodVariantId": 0,
57 "fiscalVariantId": 0
58 }
59 ],
60 "accountingStandardFilterType": "ALL",
61 "accountingStandards": [
62 {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "standardType": "GAAP",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 }
71 ],
72 "profileId": 0
73 }
74 ],
75 "tasks": [
76 {
77 "id": 0,
78 "queueTime": "2019-08-24T14:15:22Z",
79 "startTime": "2019-08-24T14:15:22Z",
80 "endTime": "2019-08-24T14:15:22Z",
81 "interruptedAt": "2019-08-24T14:15:22Z",
82 "recoveredAt": "2019-08-24T14:15:22Z",
83 "status": "CREATED",
84 "recover": true,
85 "interrupted": true,
86 "interruptionMessage": "string",
87 "errorMessage": "string",
88 "erpSystem": {
89 "id": 0,
90 "displayId": "string"
91 },
92 "ledgerTransactionIds": [
93 0
94 ],
95 "postingTypes": [
96 "PAYMENT"
97 ],
98 "jobPostingStatuses": [
99 "NA"
100 ],
101 "totalPostingCount": 0,
102 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
103 "sapPostBapi": "string",
104 "sapReversalBapi": "string",
105 "failedTransactionIds": [
106 0
107 ],
108 "jobTaskReports": [
109 {
110 "id": 0,
111 "postingType": "PAYMENT",
112 "scheduledItemCount": {
113 "postCount": 0,
114 "reverseCount": 0
115 },
116 "processingItemCount": {
117 "postCount": 0,
118 "reverseCount": 0
119 },
120 "doneItemCount": {
121 "postCount": 0,
122 "reverseCount": 0
123 },
124 "failedItemCount": {
125 "postCount": 0,
126 "reverseCount": 0
127 },
128 "cancelledItemCount": {
129 "postCount": 0,
130 "reverseCount": 0
131 },
132 "skippedItemCount": {
133 "postCount": 0,
134 "reverseCount": 0
135 },
136 "totalItemCount": {
137 "postCount": 0,
138 "reverseCount": 0
139 },
140 "jobTaskId": 0
141 }
142 ],
143 "jobTaskFailureReports": [
144 {
145 "id": 0,
146 "detail1": "string",
147 "detail2": "string",
148 "systemId": 0,
149 "systemDisplayId": "string",
150 "jobId": 0,
151 "internalDocumentNumber": "string",
152 "postingType": "PAYMENT",
153 "ledgerTransactionId": 0,
154 "failureReason": "string",
155 "taskId": 0
156 }
157 ],
158 "jobId": 0
159 }
160 ]
161 }
162}
Posting Job - SearchΒΆ
HTTP Request
POST /api/v1/sap-posting-bot/posting/jobs/search
π Description: Submits a request to search for ledger entry jobs related to financial records, transactions, and accounts within the General Ledger domain.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
Request body containing the search criteria for ledger entries, including transaction details, account identifiers, and relevant financial record parameters. |
Default ValuesΒΆ
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter ConstraintsΒΆ
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "executorEqual": "SCHEDULER"
16}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "taskCount": 0,
22 "failedTaskCount": 0,
23 "doneTaskCount": 0,
24 "inProgressTaskCount": 0,
25 "cancelledTaskCount": 0,
26 "errorMessage": "string",
27 "queueTime": "2019-08-24T14:15:22Z",
28 "startTime": "2019-08-24T14:15:22Z",
29 "endTime": "2019-08-24T14:15:22Z",
30 "status": "CREATED",
31 "batchSize": 1000,
32 "chunkSize": 1,
33 "executor": "SCHEDULER",
34 "scheduleJobId": 0,
35 "readOnly": true,
36 "postingTypes": [
37 "PAYMENT"
38 ],
39 "jobPostingStatuses": [
40 "NA"
41 ],
42 "totalPostingCount": 0,
43 "filters": [
44 {
45 "id": 0,
46 "erpSystem": {
47 "id": 0,
48 "displayId": "string"
49 },
50 "companyFilterType": "ALL",
51 "companies": [
52 {
53 "id": 0,
54 "displayId": "string",
55 "status": "CREATED",
56 "erpSystemId": 0,
57 "erpSystemDisplayId": "string",
58 "countryId": 0,
59 "countryDisplayId": "string",
60 "name": "string",
61 "postingPeriodVariantId": 0,
62 "fiscalVariantId": 0
63 }
64 ],
65 "accountingStandardFilterType": "ALL",
66 "accountingStandards": [
67 {
68 "id": 0,
69 "displayId": "string",
70 "status": "CREATED",
71 "name": "string",
72 "standardType": "GAAP",
73 "erpSystemId": 0,
74 "erpSystemDisplayId": "string"
75 }
76 ],
77 "profileId": 0
78 }
79 ],
80 "tasks": [
81 {
82 "id": 0,
83 "queueTime": "2019-08-24T14:15:22Z",
84 "startTime": "2019-08-24T14:15:22Z",
85 "endTime": "2019-08-24T14:15:22Z",
86 "interruptedAt": "2019-08-24T14:15:22Z",
87 "recoveredAt": "2019-08-24T14:15:22Z",
88 "status": "CREATED",
89 "recover": true,
90 "interrupted": true,
91 "interruptionMessage": "string",
92 "errorMessage": "string",
93 "erpSystem": {
94 "id": 0,
95 "displayId": "string"
96 },
97 "ledgerTransactionIds": [
98 0
99 ],
100 "postingTypes": [
101 "PAYMENT"
102 ],
103 "jobPostingStatuses": [
104 "NA"
105 ],
106 "totalPostingCount": 0,
107 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
108 "sapPostBapi": "string",
109 "sapReversalBapi": "string",
110 "failedTransactionIds": [
111 0
112 ],
113 "jobTaskReports": [
114 {
115 "id": 0,
116 "postingType": "PAYMENT",
117 "scheduledItemCount": {
118 "postCount": 0,
119 "reverseCount": 0
120 },
121 "processingItemCount": {
122 "postCount": 0,
123 "reverseCount": 0
124 },
125 "doneItemCount": {
126 "postCount": 0,
127 "reverseCount": 0
128 },
129 "failedItemCount": {
130 "postCount": 0,
131 "reverseCount": 0
132 },
133 "cancelledItemCount": {
134 "postCount": 0,
135 "reverseCount": 0
136 },
137 "skippedItemCount": {
138 "postCount": 0,
139 "reverseCount": 0
140 },
141 "totalItemCount": {
142 "postCount": 0,
143 "reverseCount": 0
144 },
145 "jobTaskId": 0
146 }
147 ],
148 "jobTaskFailureReports": [
149 {
150 "id": 0,
151 "detail1": "string",
152 "detail2": "string",
153 "systemId": 0,
154 "systemDisplayId": "string",
155 "jobId": 0,
156 "internalDocumentNumber": "string",
157 "postingType": "PAYMENT",
158 "ledgerTransactionId": 0,
159 "failureReason": "string",
160 "taskId": 0
161 }
162 ],
163 "jobId": 0
164 }
165 ]
166 }
167 ],
168 "number": 0,
169 "sort": {
170 "unsorted": true,
171 "sorted": true,
172 "empty": true
173 },
174 "first": true,
175 "last": true,
176 "empty": true
177}
Posting Job - ScheduleΒΆ
HTTP Request
POST /api/v1/sap-posting-bot/posting/jobs/schedule
π Description: Schedules a new ledger entry job for processing financial records and transactions within the General Ledger, ensuring timely updates to account information.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the financial record details necessary for scheduling ledger entry transactions within the General Ledger system. |
Body Parameters
1{
2 "id": 0,
3 "taskCount": 0,
4 "failedTaskCount": 0,
5 "doneTaskCount": 0,
6 "inProgressTaskCount": 0,
7 "cancelledTaskCount": 0,
8 "errorMessage": "string",
9 "queueTime": "2019-08-24T14:15:22Z",
10 "startTime": "2019-08-24T14:15:22Z",
11 "endTime": "2019-08-24T14:15:22Z",
12 "status": "CREATED",
13 "batchSize": 1000,
14 "chunkSize": 1,
15 "executor": "SCHEDULER",
16 "scheduleJobId": 0,
17 "readOnly": true,
18 "postingTypes": [
19 "PAYMENT"
20 ],
21 "jobPostingStatuses": [
22 "NA"
23 ],
24 "totalPostingCount": 0,
25 "filters": [
26 {
27 "id": 0,
28 "erpSystem": {
29 "id": 0,
30 "displayId": "string"
31 },
32 "companyFilterType": "ALL",
33 "companies": [
34 {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "erpSystemId": 0,
39 "erpSystemDisplayId": "string",
40 "countryId": 0,
41 "countryDisplayId": "string",
42 "name": "string",
43 "postingPeriodVariantId": 0,
44 "fiscalVariantId": 0
45 }
46 ],
47 "accountingStandardFilterType": "ALL",
48 "accountingStandards": [
49 {
50 "id": 0,
51 "displayId": "string",
52 "status": "CREATED",
53 "name": "string",
54 "standardType": "GAAP",
55 "erpSystemId": 0,
56 "erpSystemDisplayId": "string"
57 }
58 ],
59 "profileId": 0
60 }
61 ],
62 "tasks": [
63 {
64 "id": 0,
65 "queueTime": "2019-08-24T14:15:22Z",
66 "startTime": "2019-08-24T14:15:22Z",
67 "endTime": "2019-08-24T14:15:22Z",
68 "interruptedAt": "2019-08-24T14:15:22Z",
69 "recoveredAt": "2019-08-24T14:15:22Z",
70 "status": "CREATED",
71 "recover": true,
72 "interrupted": true,
73 "interruptionMessage": "string",
74 "errorMessage": "string",
75 "erpSystem": {
76 "id": 0,
77 "displayId": "string"
78 },
79 "ledgerTransactionIds": [
80 0
81 ],
82 "postingTypes": [
83 "PAYMENT"
84 ],
85 "jobPostingStatuses": [
86 "NA"
87 ],
88 "totalPostingCount": 0,
89 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
90 "sapPostBapi": "string",
91 "sapReversalBapi": "string",
92 "failedTransactionIds": [
93 0
94 ],
95 "jobTaskReports": [
96 {
97 "id": 0,
98 "postingType": "PAYMENT",
99 "scheduledItemCount": {
100 "postCount": 0,
101 "reverseCount": 0
102 },
103 "processingItemCount": {
104 "postCount": 0,
105 "reverseCount": 0
106 },
107 "doneItemCount": {
108 "postCount": 0,
109 "reverseCount": 0
110 },
111 "failedItemCount": {
112 "postCount": 0,
113 "reverseCount": 0
114 },
115 "cancelledItemCount": {
116 "postCount": 0,
117 "reverseCount": 0
118 },
119 "skippedItemCount": {
120 "postCount": 0,
121 "reverseCount": 0
122 },
123 "totalItemCount": {
124 "postCount": 0,
125 "reverseCount": 0
126 },
127 "jobTaskId": 0
128 }
129 ],
130 "jobTaskFailureReports": [
131 {
132 "id": 0,
133 "detail1": "string",
134 "detail2": "string",
135 "systemId": 0,
136 "systemDisplayId": "string",
137 "jobId": 0,
138 "internalDocumentNumber": "string",
139 "postingType": "PAYMENT",
140 "ledgerTransactionId": 0,
141 "failureReason": "string",
142 "taskId": 0
143 }
144 ],
145 "jobId": 0
146 }
147 ]
148}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "errorMessage": "string",
8 "source": {},
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "taskCount": 0,
17 "failedTaskCount": 0,
18 "doneTaskCount": 0,
19 "inProgressTaskCount": 0,
20 "cancelledTaskCount": 0,
21 "errorMessage": "string",
22 "queueTime": "2019-08-24T14:15:22Z",
23 "startTime": "2019-08-24T14:15:22Z",
24 "endTime": "2019-08-24T14:15:22Z",
25 "status": "CREATED",
26 "batchSize": 1000,
27 "chunkSize": 1,
28 "executor": "SCHEDULER",
29 "scheduleJobId": 0,
30 "readOnly": true,
31 "postingTypes": [
32 "PAYMENT"
33 ],
34 "jobPostingStatuses": [
35 "NA"
36 ],
37 "totalPostingCount": 0,
38 "filters": [
39 {
40 "id": 0,
41 "erpSystem": {
42 "id": 0,
43 "displayId": "string"
44 },
45 "companyFilterType": "ALL",
46 "companies": [
47 {
48 "id": 0,
49 "displayId": "string",
50 "status": "CREATED",
51 "erpSystemId": 0,
52 "erpSystemDisplayId": "string",
53 "countryId": 0,
54 "countryDisplayId": "string",
55 "name": "string",
56 "postingPeriodVariantId": 0,
57 "fiscalVariantId": 0
58 }
59 ],
60 "accountingStandardFilterType": "ALL",
61 "accountingStandards": [
62 {
63 "id": 0,
64 "displayId": "string",
65 "status": "CREATED",
66 "name": "string",
67 "standardType": "GAAP",
68 "erpSystemId": 0,
69 "erpSystemDisplayId": "string"
70 }
71 ],
72 "profileId": 0
73 }
74 ],
75 "tasks": [
76 {
77 "id": 0,
78 "queueTime": "2019-08-24T14:15:22Z",
79 "startTime": "2019-08-24T14:15:22Z",
80 "endTime": "2019-08-24T14:15:22Z",
81 "interruptedAt": "2019-08-24T14:15:22Z",
82 "recoveredAt": "2019-08-24T14:15:22Z",
83 "status": "CREATED",
84 "recover": true,
85 "interrupted": true,
86 "interruptionMessage": "string",
87 "errorMessage": "string",
88 "erpSystem": {
89 "id": 0,
90 "displayId": "string"
91 },
92 "ledgerTransactionIds": [
93 0
94 ],
95 "postingTypes": [
96 "PAYMENT"
97 ],
98 "jobPostingStatuses": [
99 "NA"
100 ],
101 "totalPostingCount": 0,
102 "jobExecutionDateTime": "2019-08-24T14:15:22Z",
103 "sapPostBapi": "string",
104 "sapReversalBapi": "string",
105 "failedTransactionIds": [
106 0
107 ],
108 "jobTaskReports": [
109 {
110 "id": 0,
111 "postingType": "PAYMENT",
112 "scheduledItemCount": {
113 "postCount": 0,
114 "reverseCount": 0
115 },
116 "processingItemCount": {
117 "postCount": 0,
118 "reverseCount": 0
119 },
120 "doneItemCount": {
121 "postCount": 0,
122 "reverseCount": 0
123 },
124 "failedItemCount": {
125 "postCount": 0,
126 "reverseCount": 0
127 },
128 "cancelledItemCount": {
129 "postCount": 0,
130 "reverseCount": 0
131 },
132 "skippedItemCount": {
133 "postCount": 0,
134 "reverseCount": 0
135 },
136 "totalItemCount": {
137 "postCount": 0,
138 "reverseCount": 0
139 },
140 "jobTaskId": 0
141 }
142 ],
143 "jobTaskFailureReports": [
144 {
145 "id": 0,
146 "detail1": "string",
147 "detail2": "string",
148 "systemId": 0,
149 "systemDisplayId": "string",
150 "jobId": 0,
151 "internalDocumentNumber": "string",
152 "postingType": "PAYMENT",
153 "ledgerTransactionId": 0,
154 "failureReason": "string",
155 "taskId": 0
156 }
157 ],
158 "jobId": 0
159 }
160 ]
161 }
162}
Posting Job - List All Posting Type OptionsΒΆ
HTTP Request
GET /api/v1/sap-posting-bot/posting/jobs/posting_type_options
π Description: Retrieves available posting type options for ledger entries, enabling users to select appropriate transaction types for financial record management within the General Ledger.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "PAYMENT"
3]
Response Schema
Posting Job - List All Job Posting Status OptionsΒΆ
HTTP Request
GET /api/v1/sap-posting-bot/posting/jobs/job_posting_status_options
π Description: Retrieves the available status options for job postings related to ledger entries, enabling users to efficiently manage transaction and account statuses within financial records.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "NA"
3]